Subject: Re: [PATCH 4/4] sky2: Adapt sky2 to use reworked PCI PM

From: Stephen Hemminger <[email-masked]>
Date: Thu, 24 Jul 2008 13:59:33 -0700

On Thu, 24 Jul 2008 22:50:50 +0200
"Rafael J. Wysocki" <[email-masked]> wrote:

> [Sorry for the delayed response, I'm at OLS.]
> 
> On Monday, 21 of July 2008, Andrew Morton wrote:
> > On Sat, 19 Jul 2008 14:42:51 +0200 "Rafael J. Wysocki" <[email-masked]> wrote:
> > 
> > > Adapt the sky2 driver to use the reworked PCI PM.
> > 
> > I fixed the rejects in "[PATCH 3/4] tg3: Adapt tg3 to use reworked PCI
> > PM code" but this patch has too many for me to want to fix them.
> > 
> > As usual, please at least take a look at what's in linux-next before
> > going and bypassing all that queued work.
> 
> Sorry for that.
> 
> Appended is a version of the patch applying to the current mainline on top of
> patches 1/4 - 3/4 without rejects.
> 
> BTW, the sky2's WOL is broken on my test box because of commit
> db99b98885e717454feef1c6868b27d3f23c2e7c ("sky2: put PHY in sleep when down")
> that causes the box to hang solid in sky2_suspend() and sky2_shutdown() after
> WOL has been enabled with 'ethtool -s eth0 wol g'.
> 
> This has already been reported to Stephen and Jeff.
> 
> Thanks,
> Rafael

Please wait, I am working on a better stable way to do this.